Bug 123341 - FILEOPEN XLSX vertical text alignment in comment is incorrect
Summary: FILEOPEN XLSX vertical text alignment in comment is incorrect
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Calc-Comments XLSX-Comments
  Show dependency treegraph
 
Reported: 2019-02-11 12:38 UTC by NISZ LibreOffice Team
Modified: 2019-10-04 06:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Excel and Calc. (214.42 KB, image/png)
2019-02-11 12:39 UTC, NISZ LibreOffice Team
Details
Example file from Excel. (15.91 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-02-11 12:40 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-02-11 12:38:37 UTC
Description:
The text alignment in comment in XLSX documents created with Microsoft Excel 2016 is incorrect when the document is opened in LibreOffice Calc.

Steps to Reproduce:
    1. Create a new spreadsheet in Microsoft Excel 2016.
    2. Select a cell.
    3. On the Review tab, in the Comments group, click New Comment.
    4. Type text.
    5. On the Home tab, in the Alignment group, select Center or Align Right.
    6. On the Home tab, in the Alignment group, select Middle Align or Bottom Align.
    7. On the Home tab, in the Alignment group, click Orientation, and then select an option.
    8. Save the file as XLSX.
    9. Open the same file in Calc.
    10. Compare the original file opened in Excel and Calc.

Actual Results:
The text alignment in comment is incorrect.

Expected Results:
The text alignment in comment should be the same as in the original file when the document is opened in Excel.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.3.0.0.alpha0+
Build ID: 950bdd703bb4430526598a132897a6b77cb21005
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded

Reproducible with:
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 1 NISZ LibreOffice Team 2019-02-11 12:39:18 UTC
Created attachment 149118 [details]
Screenshot of the original document side by side in Excel and Calc.
Comment 2 NISZ LibreOffice Team 2019-02-11 12:40:09 UTC
Created attachment 149119 [details]
Example file from Excel.
Comment 3 Xisco Faulí 2019-02-12 14:00:08 UTC
Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: a8f21e120b1073d7019d41e85cc9a15104ed5c93
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 László Németh 2019-10-03 06:32:46 UTC
For horizontal adjustment, see Bug 123339
Comment 5 Commit Notification 2019-10-04 05:37:57 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/89c0b79911c469518c8872a4ec06b3d2c61c357c

tdf#123341 XLSX: fix vertical alignment in comments

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.